Subject: Re: docs build problems

From: Jonathan Corbet <[email-masked]>
Date: Wed, 15 Oct 2025 15:47:34 -0600

Mauro Carvalho Chehab <[email-masked]> writes:

> Em Wed, 15 Oct 2025 15:15:37 -0600
> Jonathan Corbet <[email-masked]> escreveu:
>
>> Randy Dunlap <[email-masked]> writes:
>> 
>> > Hi,
>> >
>> > I am back to having one former error and one former pair of warnings
>> > on today's linux-next (20251015):
>> >
>> > ../Documentation/Makefile:71: warning: overriding recipe for target 'pdfdocs'
>> > ../Documentation/Makefile:62: warning: ignoring old recipe for target 'pdfdocs'
>> >   File "/usr/bin/sphinx-build", line 1
>> >     ELF...
>> > SyntaxError: source code cannot contain null bytes
>> >
>> >
>> > Did something happen to the docs/docs-next tree or was there some kind
>> > of mis-merge problem?  
>> 
>> I pulled docs-next forward to -rc1 and merged a few things, but I
>> wouldn't expect any of that to create that kind of problem.  It seems we
>> lost the makefile fix somehow...?
>
> Just did a rebase. Those patches are missing:
>
> e2c3ba36aee2 tools/docs: sphinx-build-wrapper: -q is a boolean, not an integer
> 0ce66e3f9c8b kernel-doc: output source file name at SEE ALSO
> 9b34d25a58ae docs: Makefile: use PYTHONPYCACHEPREFIX
> d5da902cc340 tools/docs: sphinx-build-wrapper: pdflatex is needed only for pdf
> 1cad2682b785 docs: Makefile: avoid a warning when using without texlive
> f0a4ad647aad tools/docs/sphinx-build-wrapper: allow skipping sphinx-build step
> fb4771ad4ff4 docs: Makefile: fix rustdoc detection
> ed7faec0095d tools/docs: sphinx-build-wrapper: fix compat with recent Tumbleweed
> ab7dde2453af docs: conf.py: get rid of load_config.py
> 8f421d0c327f scripts: remove sphinx-build-wrapper from scripts/
> 9a20d16551af tools/docs: sphinx-build-wrapper: handle sphinx-build errors
>
> Want me to re-send them?

I'll have them around, I think.  I need to figure out why they
disappeared, though; this is a bit weird.

Thanks,

jon